> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Dubbing job

> Read an account's Dubbing job. Ready jobs include MP3, WAV, SRT, and WebVTT URLs. Failed jobs include error details.

## Continue building

> [card] [Dub an audio file](https://docs.breezeblue.ai/guides/dubbing.md)
>
> Upload audio, submit a job and retrieve its outputs.

> [card] [Create a Dubbing upload](https://docs.breezeblue.ai/api-reference/dubbing/create-a-dubbing-upload.md)
>
> Upload another audio file for translation.


## OpenAPI

````yaml /openapi.json get /v1/dubbing/{dubbing_id}
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction enhancement.
  - name: Voices
    description: Saved voices and voice metadata.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
  - name: Studio
    description: Projects, scripts, arrangement and audio materials.
  - name: Dubbing
    description: Asynchronous translation of uploaded audio.
paths:
  /v1/dubbing/{dubbing_id}:
    get:
      tags:
        - Dubbing
      summary: Get a Dubbing job
      description: >-
        Read an account's Dubbing job. Ready jobs include MP3, WAV, SRT, and
        WebVTT URLs. Failed jobs include error details.
      operationId: dubbing_get
      parameters:
        - name: dubbing_id
          in: path
          required: true
          schema:
            type: string
            title: Dubbing Id
          description: The ID returned when the job was submitted.
      responses:
        '200':
          description: Dubbing status and completed outputs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DubbingJob'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: HTTP 502 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '504':
          description: HTTP 504 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/dubbing/job_example" \
              --header "xi-api-key: $BREEZE_API_KEY"
components:
  schemas:
    DubbingJob:
      properties:
        dubbing_id:
          type: string
          title: Dubbing Id
        status:
          type: string
          enum:
            - admitted
            - queued
            - generating
            - streaming
            - finalizing
            - ready
            - failed
            - cancelled
          title: Status
        output:
          anyOf:
            - $ref: '#/components/schemas/DubbingOutput'
            - type: 'null'
        error:
          anyOf:
            - $ref: '#/components/schemas/DubbingJobError'
            - type: 'null'
      type: object
      required:
        - dubbing_id
        - status
      title: DubbingJob
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          type: string
          title: Code
        detail:
          type: string
          title: Detail
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    DubbingOutput:
      properties:
        duration_seconds:
          type: number
          title: Duration Seconds
        mp3_url:
          type: string
          title: Mp3 Url
        wav_url:
          type: string
          title: Wav Url
        srt_url:
          type: string
          title: Srt Url
        vtt_url:
          type: string
          title: Vtt Url
      type: object
      required:
        - duration_seconds
        - mp3_url
        - wav_url
        - srt_url
        - vtt_url
      title: DubbingOutput
    DubbingJobError:
      properties:
        code:
          type: string
          title: Code
        detail:
          type: string
          title: Detail
      type: object
      required:
        - code
        - detail
      title: DubbingJobError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.